package hk.edu.hkbu.comp.maw2013.attendancerecord;

import org.apache.http.HttpResponse;
import org.apache.http.client.methods.HttpGet;
import org.apache.http.impl.client.DefaultHttpClient;
import org.apache.http.util.EntityUtils;
import org.json.JSONArray;
import org.json.JSONObject;

import android.os.AsyncTask;
import android.os.Bundle;
import android.support.v4.app.Fragment;
import android.util.Log;
import android.view.LayoutInflater;
import android.view.View;
import android.view.View.OnClickListener;
import android.view.ViewGroup;
import android.widget.Button;
import android.widget.EditText;
import android.widget.TextView;

public class RetrieveFragment extends Fragment {
	
	private EditText courseCodeEt;
	private TextView attRecordTv; 
	private Button searchBtn;
	
	@Override
	public View onCreateView(LayoutInflater inflater, ViewGroup container,
			Bundle savedInstanceState) {
		View view = inflater.inflate(R.layout.fragment_retrieve, container, false);
		return view;
	}
	
	@Override
	public void onActivityCreated(Bundle savedInstanceState){
		super.onActivityCreated(savedInstanceState);
		courseCodeEt = (EditText)getView().findViewById(R.id.editTextCourseCodeSearch);
		attRecordTv = (TextView)getView().findViewById(R.id.textViewAttRecord);
		searchBtn = (Button)getView().findViewById(R.id.buttonSearch);
		searchBtn.setOnClickListener(new OnClickListener(){
			@Override
			public void onClick(View arg0) {
				new RetrieveTask().execute(new String[]{courseCodeEt.getText().toString()});
			}});
	}
	
	private class RetrieveTask extends AsyncTask<String, Void, String> {
		
		@Override
		protected String doInBackground(String... arg) {
			StringBuffer result = null;
			
			HttpGet request = new HttpGet(
					"http://cs9206.comp.hkbu.edu.hk/maw_2013/attendance/get_att.php?course_code="
							+ arg[0]);
			try {
				HttpResponse httpResponse = new DefaultHttpClient().execute(request);
				if(httpResponse.getStatusLine().getStatusCode() == 200){
					String response = EntityUtils.toString(httpResponse.getEntity());
	    			JSONArray jsonArr = new JSONArray(response);
	    			result = new StringBuffer();
	    			for(int i=0; i < jsonArr.length(); i++){
	    				JSONObject jsonObj = jsonArr.getJSONObject(i);
	    				result.append("Time: " + jsonObj.getString("record_time") + "\n");
	    				result.append("Name: " + jsonObj.getString("student_name") + "\n");
	    				result.append("----------------------------------------\n");
	    			}
				}else{
					Log.e("Error", "Status Code: " + httpResponse.getStatusLine().getStatusCode());
				}
			} catch (Exception e) {
				e.printStackTrace();
			}
			return result.toString();
		}
		
		@Override
		protected void onPostExecute(String result){
			attRecordTv.setText(result);
		}
	}
}